# Uses of Interface
org.opensaml.xmlsec.signature.X509SerialNumber

Packages that use X509SerialNumber
Package
Description
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of X509SerialNumber in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return X509SerialNumber
Modifier and Type
Method
Description
`X509SerialNumber`
X509IssuerSerial.`getX509SerialNumber()`
Get the X509SerialNumber child element.
Methods in org.opensaml.xmlsec.signature with parameters of type X509SerialNumber
Modifier and Type
Method
Description
`void`
X509IssuerSerial.`setX509SerialNumber(X509SerialNumber newX509SerialNumber)`
Set the X509SerialNumber child element.

## Uses of X509SerialNumber in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement X509SerialNumber
Modifier and Type
Class
Description
`class`
`X509SerialNumberImpl`
Concrete implementation of `X509SerialNumber`.
Fields in org.opensaml.xmlsec.signature.impl declared as X509SerialNumber
Modifier and Type
Field
Description
`private X509SerialNumber`
X509IssuerSerialImpl.`serialNumber`
X509SerialNumber child element.
Methods in org.opensaml.xmlsec.signature.impl that return X509SerialNumber
Modifier and Type
Method
Description
`X509SerialNumber`
X509SerialNumberBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`X509SerialNumber`
X509SerialNumberBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`X509SerialNumber`
X509IssuerSerialImpl.`getX509SerialNumber()`
Get the X509SerialNumber child element.
Methods in org.opensaml.xmlsec.signature.impl with parameters of type X509SerialNumber
Modifier and Type
Method
Description
`void`
X509IssuerSerialImpl.`setX509SerialNumber(X509SerialNumber newX509SerialNumber)`
Set the X509SerialNumber child element.